Subject: Re: nmake and '\' style path ...
From: [email-masked] (Mumit Khan)

7 Dec 1998 17:36:46 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Song Jin <[email-masked]>
Cc: [email-masked]

On 7 Dec 1998, Song Jin wrote:

> I have played with gnuwin32 for just a little bit 
> more than a month. The make works smoothly, yet I can get nmake working properly. The problem I have
> been confronting is that the '\' style path seems
> not being recognized by the shell - I assigned env
> var to maintain the path info required by nmake. I set the 'MAKE_MODE' to win32 already. It seems 
> to me the shell always discard the '\' in path env var, and complain the executables cannot be found. Could anyone give me advice on solving the problem? I would appreciate. Thanks in advance.

You could use cygpath to convert the pathnames to posix form until this
issue is resolved (I'm one of those who don't like the idea of gcc 
emitting win32 style pathnames).

  $ win32_path='c:\tmp\foo'
  $ posix_path=`cygpath -u $x`

Wonder if you should use the ``-p'' argument in addition to ''-w'' to make
sure pathlists get converted as well.

  $ posix_path=`cygpath -p -u $x`

cygpath --help provides some help.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".